searchNodes=[{"ref":"MlDHT.html","title":"MlDHT","type":"module","doc":"MlDHT is an Elixir package that provides a Kademlia Distributed Hash Table (DHT) implementation according to BitTorrent Enhancement Proposals (BEP) 05. This specific implementation is called &quot;mainline&quot; variant."},{"ref":"MlDHT.html#search/2","title":"MlDHT.search/2","type":"function","doc":"This function needs an infohash as binary and a callback function as parameter. This function uses its own routing table as a starting point to start a get_peers search for the given infohash. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; ## Ubuntu 15.04 |&gt; Base.decode16! |&gt; MlDHT.search(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inpsect ip} port: \#{port}&quot; end)"},{"ref":"MlDHT.html#search_announce/2","title":"MlDHT.search_announce/2","type":"function","doc":"This function needs an infohash as binary and callback function as parameter. This function does the same thing as the search/2 function, except it sends an announce message to the found peers. This function does not need a TCP port which means the announce message sets :implied_port to true. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; ## Ubuntu 15.04 |&gt; Base.decode16! |&gt; MlDHT.search_announce(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inspect ip} port: \#{port}&quot; end)"},{"ref":"MlDHT.html#search_announce/3","title":"MlDHT.search_announce/3","type":"function","doc":"This function needs an infohash as binary, a callback function as parameter, and a TCP port as integer. This function does the same thing as the search/2 function, except it sends an announce message to the found peers. Example iex&gt; &quot;3F19B149F53A50E14FC0B79926A391896EABAB6F&quot; ## Ubuntu 15.04 |&gt; Base.decode16! |&gt; MlDHT.search_announce(fn(node) -&gt; {ip, port} = node IO.puts &quot;ip: \#{inspect ip} port: \#{port}&quot; end, 6881)"},{"ref":"MlDHT.html#t:infohash/0","title":"MlDHT.infohash/0","type":"type","doc":"A binary which contains the infohash of a torrent. An infohash is a SHA1 encoded hex sum which identifies a torrent."},{"ref":"MlDHT.html#t:tcp_port/0","title":"MlDHT.tcp_port/0","type":"type","doc":"A non negative integer (0--65565) which represents a TCP port number."}]